#include "dialog.h"
#include "ui_dialog.h"
#include <iostream>
Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::on_pushButton_clicked()
{
    static int i=0;
    std::cout <<"pressed"<<i++<<std::endl;
}

void Dialog::on_checkBox_toggled(bool checked)
{
    static int i=0;
    std::cout <<"checkbox state:"<<checked<<" "<<i++<<std::endl;
}
